Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
chatter

Cần xin Lisp ẩn và hiện tất cả các layer!!!

Các bài được khuyến nghị

be_chanh    890

không hiểu ẩn các layer để làm gì nhỉ ? vì ẩn hết rồi thì vẽ cái gì nữa. còn nếu ẩn 1 phần thì dùng express là đủ mà bạn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nataca    553
Em đang rất cần Lisp ẩn và hiện tất cả các Layer của bản vẻ. Rất mong các anh share dùm cho

Ô thế vẫn chưa biết lệnh layon , layoff, layiso của cad à. Chán thế. Mà ẩn tất cả các layer của bản vẽ đi để làm j nhỉ. :bigsmile:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
chatter    1

ah.ý mình là layer hiện hành vẩn hiện.khi dung lisp nay thi các layer đã gán sẽ ẩn hoặc hiện để ta bít được chổ nào chưa gán layer?????

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
duy782006    1.374
ah.ý mình là layer hiện hành vẩn hiện.khi dung lisp nay thi các layer đã gán sẽ ẩn hoặc hiện để ta bít được chổ nào chưa gán layer?????

Nói chung ban diển tả quá khó hiểu.

Bạn nghiên cứu LMAN xem sao:

cái này lưu các trạng thái hiển thị layer tại thời điểm gọi lệnh, lưu lại dưới 1 tên và gọi lại sau đó.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
dotranduy    0

Trong cad 07 có cái Layer iso , layon, layoff. Khi cài bạn cái cả Express Tool. Sau khi cài xong , gán phím tắt cho các lệnh này bằng cách : Vào Express => Tool => Command Alias Editor sau đó hiện ra 1 box thì chọn ADD. Sau đó hiện ra 1 box tiếp. Dòng trên bạn gõ lệnh tắt ( ví dụ 1 là Layiso, 2 là Layon, 3 layoff ). Dòng dưới bạn điện lệnh autocad vào là Layiso, layon, layoff.

Sau muốn giữ lại 1 layer thì dùng Layiso ( phím tắt đặt là 1 ), chọn layer cần giữ rùi Enter, sau muốn bật lên thì dùng Layon - Enter..

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
trinh8306    0
Em đang rất cần Lisp ẩn và hiện tất cả các Layer của bản vẻ. Rất mong các anh share dùm cho

 

Từ cad 2004 trở lên có thêm cái phần Express Tools, trong này có mấy lệnh bạn cần

- Layiso: Dùng để tắt tất cả các layer trừ những layer được chọn

- Layoff: Tắt 1, 1 vài layer khi được chọn

- Layon: Hiện tất cả các layer

 

Không có lệnh tắt cho mấy thằng này, tuy nhiên ta nên đặt lệnh tắt. Chỗ mình làm bọn mình thống nhất đặt tắt IO - Layiso, OF - Layoff, ON - Layon, bạn tham khảo xem, khá là tiện đấy!

I'm GTCC42 - ĐHGT

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
quocmanh04tt    385

Bạn thử xem sao:

(defun c:layon ()

(vlax-for each (vla-get-layers (vla-get-activedocument (vlax-get-acad-object)))
(vla-put-layeron each :vlax-true))
(princ))
(defun c:layoff (/ ss i)
(if (setq ss (ssget))
(repeat (setq i (sslength ss))
(vla-put-layeron (vlax-ename->vla-object
(tblobjname "LAYER" (vla-get-layer (vlax-ename->vla-object (ssname ss (setq i (1- i)))))))
:vlax-false)))
(princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×